| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
linux_proc Struct Reference

## Public Attributes
int | pid
char | comm [400]
char | state
int | ppid
int | pgrp
int | session
int | tty
int | tpgid
unsigned long | flags
unsigned long | minflt
unsigned long | cminflt
unsigned long | majflt
unsigned long | cmajflt
unsigned long | utime
unsigned long | stime
long | cutime
long | cstime
long | priority
long | nice
long | num_threads
long | itrealvalue
unsigned long long | starttime
unsigned long | vsize
long | rss
unsigned long | rlim
unsigned long | startcode
unsigned long | endcode
unsigned long | startstack
unsigned long | kstkesp
unsigned long | kstkeip
unsigned long | signal
unsigned long | blocked
unsigned long | sigignore
unsigned long | sigcatch
unsigned long | wchan

## Detailed Description

Definition at line 262 of file ProcessDescriptor.cpp.

## Member Data Documentation

unsigned long linux_proc::blocked

Definition at line 294 of file ProcessDescriptor.cpp.

unsigned long linux_proc::cmajflt

Definition at line 275 of file ProcessDescriptor.cpp.

unsigned long linux_proc::cminflt

Definition at line 273 of file ProcessDescriptor.cpp.

char linux_proc::comm[400]

Definition at line 264 of file ProcessDescriptor.cpp.

long linux_proc::cstime

Definition at line 279 of file ProcessDescriptor.cpp.

long linux_proc::cutime

Definition at line 278 of file ProcessDescriptor.cpp.

unsigned long linux_proc::endcode

Definition at line 289 of file ProcessDescriptor.cpp.

unsigned long linux_proc::flags

Definition at line 271 of file ProcessDescriptor.cpp.

long linux_proc::itrealvalue

Definition at line 283 of file ProcessDescriptor.cpp.

unsigned long linux_proc::kstkeip

Definition at line 292 of file ProcessDescriptor.cpp.

unsigned long linux_proc::kstkesp

Definition at line 291 of file ProcessDescriptor.cpp.

unsigned long linux_proc::majflt

Definition at line 274 of file ProcessDescriptor.cpp.

unsigned long linux_proc::minflt

Definition at line 272 of file ProcessDescriptor.cpp.

long linux_proc::nice

Definition at line 281 of file ProcessDescriptor.cpp.

long linux_proc::num_threads

Definition at line 282 of file ProcessDescriptor.cpp.

int linux_proc::pgrp

Definition at line 267 of file ProcessDescriptor.cpp.

int linux_proc::pid

Definition at line 263 of file ProcessDescriptor.cpp.

int linux_proc::ppid

Definition at line 266 of file ProcessDescriptor.cpp.

long linux_proc::priority

Definition at line 280 of file ProcessDescriptor.cpp.

unsigned long linux_proc::rlim

Definition at line 287 of file ProcessDescriptor.cpp.

long linux_proc::rss

Definition at line 286 of file ProcessDescriptor.cpp.

int linux_proc::session

Definition at line 268 of file ProcessDescriptor.cpp.

unsigned long linux_proc::sigcatch

Definition at line 296 of file ProcessDescriptor.cpp.

unsigned long linux_proc::sigignore

Definition at line 295 of file ProcessDescriptor.cpp.

unsigned long linux_proc::signal

Definition at line 293 of file ProcessDescriptor.cpp.

unsigned long linux_proc::startcode

Definition at line 288 of file ProcessDescriptor.cpp.

unsigned long linux_proc::startstack

Definition at line 290 of file ProcessDescriptor.cpp.

unsigned long long linux_proc::starttime

Definition at line 284 of file ProcessDescriptor.cpp.

char linux_proc::state

Definition at line 265 of file ProcessDescriptor.cpp.

unsigned long linux_proc::stime

Definition at line 277 of file ProcessDescriptor.cpp.

int linux_proc::tpgid

Definition at line 270 of file ProcessDescriptor.cpp.

int linux_proc::tty

Definition at line 269 of file ProcessDescriptor.cpp.

unsigned long linux_proc::utime

Definition at line 276 of file ProcessDescriptor.cpp.

unsigned long linux_proc::vsize

Definition at line 285 of file ProcessDescriptor.cpp.

unsigned long linux_proc::wchan

Definition at line 297 of file ProcessDescriptor.cpp.

The documentation for this struct was generated from the following file:

- GaudiKernel/src/Lib/ProcessDescriptor.cpp